/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

import java.util.Date;

/**
 * XbLinkbaserefObjコンポーネントはDBに登録するXbLinkbaseref情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbLinkbaserefObj {

    /** LinkBaseRef ID */
	private long linkbaserefId;
    /** role属性 */
	private String linkbaseRole;
    /** href属性 */
	private String linkbaseHref;
    /** タクソノミーID */
	private long taxonomyId;
    /** タクソノミーグループID */
	private long taxonomyGroupId;
    /** カテゴリー */
    private String category;
    /** 作成日 */
	private Date creationDate;

    /**
     * カテゴリーを取得します。
     * @return category
     */
    protected String getCategory() {
        return category;
    }

    /**
     * カテゴリーを設定します。
     * @param category カテゴリー
     */
    protected void setCategory(String category) {
        this.category = category;
    }

    /**
     * 作成日を取得します。
     * @return creationDate
     */
    protected Date getCreationDate() {
        return creationDate;
    }

    /**
     * 作成日を設定します。
     * @param creationDate 作成日
     */
    protected void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    /**
     * href属性を取得します。
     * @return linkbaseHref
     */
    protected String getLinkbaseHref() {
        return linkbaseHref;
    }

    /**
     * href属性を設定します。
     * @param linkbaseHref href属性
     */
    protected void setLinkbaseHref(String linkbaseHref) {
        this.linkbaseHref = linkbaseHref;
    }

    /**
     * linkbaserefIdを取得します。
     * @return linkbaserefId
     */
    protected long getLinkbaserefId() {
        return linkbaserefId;
    }

    /**
     * linkbaserefIdを設定します。
     * @param linkbaserefId linkbaserefId
     */
    protected void setLinkbaserefId(long linkbaserefId) {
        this.linkbaserefId = linkbaserefId;
    }

    /**
     * role属性を取得します。
     * @return linkbaseRole
     */
    protected String getLinkbaseRole() {
        return linkbaseRole;
    }

    /**
     * role属性を設定します。
     * @param linkbaseRole role属性
     */
    protected void setLinkbaseRole(String linkbaseRole) {
        this.linkbaseRole = linkbaseRole;
    }

    /**
     * タクソノミーグループIDを取得します。
     * @return taxonomyGroupId
     */
    protected long getTaxonomyGroupId() {
        return taxonomyGroupId;
    }

    /**
     * タクソノミーグループIDを設定します。
     * @param taxonomyGroupId タクソノミーグループID
     */
    protected void setTaxonomyGroupId(long taxonomyGroupId) {
        this.taxonomyGroupId = taxonomyGroupId;
    }

    /**
     * タクソノミーIDを取得します。
     * @return taxonomyId
     */
    protected long getTaxonomyId() {
        return taxonomyId;
    }

    /**
     * タクソノミーIDを設定します。
     * @param taxonomyId タクソノミーID
     */
    protected void setTaxonomyId(long taxonomyId) {
        this.taxonomyId = taxonomyId;
    }
}